local function init()
    cmd('colorscheme moonlight')

    opt.completeopt = {'menuone', 'noinsert', 'noselect'}  -- Completion options (for deoplete)
    opt.expandtab = true                -- Use spaces instead of tabs
    opt.hidden = true                   -- Enable background buffers
    opt.ignorecase = true               -- Ignore case
    opt.joinspaces = false              -- No double spaces with join
    opt.list = true                     -- Show some invisible characters
    opt.number = true                   -- Show line numbers
    opt.relativenumber = true           -- Relative line numbers
    opt.scrolloff = 4                   -- Lines of context
    opt.shiftround = true               -- Round indent
    opt.shiftwidth = 2                  -- Size of an indent
    opt.sidescrolloff = 8               -- Columns of context
    opt.smartcase = true                -- Do not ignore case with capitals
    opt.autoindent = true               -- Insert indents automatically
    opt.splitbelow = true               -- Put new windows below current
    opt.splitright = true               -- Put new windows right of current
    opt.tabstop = 2                     -- Number of spaces tabs count for
    opt.termguicolors = true            -- True color support
    opt.wildmode = {'list', 'longest'}  -- Command-line completion mode
    opt.wrap = false                    -- Disable line wrap
    opt.mouse = 'a'                     -- Enable mouse for all previous modes
end

return {
    init = init
}